#include <iostream>

using namespace std;

int main()
{
    int n,l;
    int i,br,r=0;
    cin>>n>>l;
    for(int i=0;i<n;i++)
    {
        scanf("%d", &br);
        if(br>l)
        {
            r++;
        }
        if(br<=l)
        {
            r++;
            printf("%d", r);
            break;
        }
        if(r==n)
        {
            r++;
        }

    }
    if(r>n)
    {
        printf("-1");
    }
    return 0;
}